package jp.agentec.abook.abv.bl.dto;

import java.util.Date;

public class ContentPageReadingLogDto extends AbstractDto {
	public int pageReadingLogId;
	public int readingLogId;
	public long contentId;
	public int pageNum;
	public int status;
	public Date startDate;
	public Date resumeDate;
	public Date endDate;
	public int duration;
	
	@Override
	public Object[] getInsertValues() {
		return new Object[]{pageReadingLogId, readingLogId, contentId, pageNum, status, startDate, resumeDate, endDate, duration};
	}

	@Override
	public Object[] getUpdateValues() {
		return new Object[]{readingLogId, contentId, pageNum, status, startDate, resumeDate, endDate, duration, pageReadingLogId};
	}

	@Override
	public String[] getKeyValues() {
		return new String[]{""+ pageReadingLogId};
	}

}
